## gnome-usage 48.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Usage. One of "default" or "development".'
)

## gnome-usage 3.27.90

=== debian/changelog ===
gnome-usage (3.27.90-1) unstable; urgency=medium

  * Initial release (Closes: #890510)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Feb 2018 09:24:37 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-usage
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11.1.3),
               gnome-pkg-tools,
               libaccountsservice-dev (>= 0.6.40),
               libglib2.0-dev (>= 2.38.0),
               libgtk-3-dev (>= 3.20.10),
               libgtop2-dev (>= 2.34.0),
               meson (>= 0.37),
               valac
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-usage.git
Homepage: https://wiki.gnome.org/Apps/Usage

Package: gnome-usage
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: simple system monitor app for GNOME
 Usage is an application for GNOME that allows monitoring of system resources
 such as memory, CPU, and disk space.

## gnome-usage 3.28.0

=== debian/changelog ===
gnome-usage (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on libaccountsservice-dev

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 19:28:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-usage
@@ -9,7 +9,6 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
-               libaccountsservice-dev (>= 0.6.40),
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.20.10),
                libgtop2-dev (>= 2.34.0),

## gnome-usage 3.30.0

=== debian/changelog ===
gnome-usage (3.30.0-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 17:04:41 -0500

gnome-usage (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-Fix-build-with-vala-0.42.patch: Applied in new release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 10:10:35 -0400

gnome-usage (3.28.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/watch: Only watch for stable releases

  [ Andreas Henriksson ]
  * Add 0001-Fix-build-with-vala-0.42.patch (Closes: #907934)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Sep 2018 00:14:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.20.10),
                libgtop2-dev (>= 2.34.0),
                meson (>= 0.37),
                valac
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-usage.git
 Homepage: https://wiki.gnome.org/Apps/Usage

## gnome-usage 3.32.0

=== debian/changelog ===
gnome-usage (3.32.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Build-Depend on libdazzle-1.0-dev
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Sep 2019 19:45:47 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
+               dh-sequence-gnome,
+               libdazzle-1.0-dev (>= 3.30),
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.20.10),
                libgtop2-dev (>= 2.34.0),
                meson (>= 0.37),
                valac
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-usage.git
 Homepage: https://wiki.gnome.org/Apps/Usage

## gnome-usage 3.38.0

=== debian/changelog ===
gnome-usage (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Drop 'v' prefix on upstream-tag
  * debian/patches: Revert support for tracker-3 and use tracker-2
  * debian/control: Bump build dependencies to match upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 12:16:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,9 @@
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.20.10),
                libgtop2-dev (>= 2.34.0),
-               meson (>= 0.37),
+               libhandy-1-dev (>= 1.0.0),
+               libtracker-sparql-2.0-dev,
+               meson (>= 0.50),
                valac
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage

## gnome-usage 3.38.1

=== debian/changelog ===
gnome-usage (3.38.1-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 17:26:32 -0400

gnome-usage (3.38.1-2) experimental; urgency=medium

  * Revert changes to revert to tracker 2

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 17:41:48 +0100

gnome-usage (3.38.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 09:41:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                libdazzle-1.0-dev (>= 3.30),
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.20.10),
                libgtop2-dev (>= 2.34.0),
                libhandy-1-dev (>= 1.0.0),
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                meson (>= 0.50),
                valac
 Standards-Version: 4.4.0

## gnome-usage 45.0

=== debian/changelog ===
gnome-usage (45.0-1) unstable; urgency=medium

  * New upstream release
  * Build with GTK4 & libadwaita
  * Update standards version to 4.6.2, no changes needed.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:28:38 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
-               libdazzle-1.0-dev (>= 3.30),
-               libglib2.0-dev (>= 2.38.0),
-               libgtk-3-dev (>= 3.20.10),
+               libadwaita-1-dev (>= 1.4),
+               libgee-0.8-dev,
+               libglib2.0-dev (>= 2.44.0),
+               libgtk-4-dev (>= 4.11.3),
                libgtop2-dev (>= 2.34.0),
                libhandy-1-dev (>= 1.0.0),
                libtracker-sparql-3.0-dev,
                meson (>= 0.50),
                valac
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-usage.git
 Homepage: https://wiki.gnome.org/Apps/Usage

## gnome-usage 46.0

=== debian/changelog ===
gnome-usage (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:13:32 +0000

gnome-usage (46.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump minimum libadwaita to 1.5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 14:45:53 -0400

=== debian/control ===
Source: gnome-usage
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               libadwaita-1-dev (>= 1.5),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.74.0),
               libgtk-4-dev (>= 4.11.3),
               libgtop2-dev (>= 2.34.0),
               libtracker-sparql-3.0-dev,
               meson (>= 0.50),
               valac
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-usage.git
Homepage: https://wiki.gnome.org/Apps/Usage

Package: gnome-usage
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: simple system monitor app for GNOME
 Usage is an application for GNOME that allows monitoring of system resources
 such as memory, CPU, and disk space.

## gnome-usage 48~rc

=== debian/changelog ===
gnome-usage (48~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita
  * Add Build-Depends: libjson-glib-dev, libnm-dev
  * Add Depends: vnstat for new Network panel
  * Update Build-Depends: libtracker-sparql-3.0-dev → libtinysparql-dev
  * Opt into dpkg build API v1
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 15:16:40 -0400

=== debian/control ===
Source: gnome-usage
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dpkg-build-api (= 1),
               libadwaita-1-dev (>= 1.6),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.74.0),
               libgtk-4-dev (>= 4.11.3),
               libgtop2-dev (>= 2.34.0),
               libjson-glib-dev,
               libnm-dev (>= 1.44.0),
               libtinysparql-dev,
               meson (>= 0.50),
               valac
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-usage
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-usage.git
Homepage: https://wiki.gnome.org/Apps/Usage

Package: gnome-usage
Architecture: any
Depends: vnstat, ${misc:Depends}, ${shlibs:Depends}
Description: simple system monitor app for GNOME
 Usage is an application for GNOME that allows monitoring of system resources
 such as CPU, memory, network and disk space.

## gnome-usage 48.0

=== debian/changelog ===
gnome-usage (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Nov 2025 19:16:39 -0500
